<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: vdf_velocity.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_985f593f22fcf3a93b5ee7686d3ca58d.html">vdf</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">vdf_velocity.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacevdf__velocity"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html">vdf_velocity</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a01f4451315505fa666fe1b97aeff09e0"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#a01f4451315505fa666fe1b97aeff09e0">vdf_velocity::velocity_init</a> (vdf)</td></tr>
<tr class="separator:a01f4451315505fa666fe1b97aeff09e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a155a5d63d9667ee71c5a700bec806274"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#a155a5d63d9667ee71c5a700bec806274">vdf_velocity::velocity_field_init</a> (vdf)</td></tr>
<tr class="separator:a155a5d63d9667ee71c5a700bec806274"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8730192f3b937864261dca60d9d2896"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#aa8730192f3b937864261dca60d9d2896">vdf_velocity::velocity_prestep</a> (vdf)</td></tr>
<tr class="separator:aa8730192f3b937864261dca60d9d2896"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96fa490f8e299baa61fd416d1b383f68"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#a96fa490f8e299baa61fd416d1b383f68">vdf_velocity::velocity_step</a> (vdf)</td></tr>
<tr class="separator:a96fa490f8e299baa61fd416d1b383f68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d0ebd01743cf76337e676c019574c7d"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vdf__velocity_8f90.html#a9d0ebd01743cf76337e676c019574c7d">get_buffers</a> ()</td></tr>
<tr class="separator:a9d0ebd01743cf76337e676c019574c7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a260238626b0601af3c4cbab9374590b2"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vdf__velocity_8f90.html#a260238626b0601af3c4cbab9374590b2">return_buffers</a> ()</td></tr>
<tr class="separator:a260238626b0601af3c4cbab9374590b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88d3d0cf4741faa06f5e5610df523994"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#a88d3d0cf4741faa06f5e5610df523994">vdf_velocity::velocity_pressure</a> (vdf)</td></tr>
<tr class="separator:a88d3d0cf4741faa06f5e5610df523994"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9cf51ff27a11537d3193744db53e552"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#aa9cf51ff27a11537d3193744db53e552">vdf_velocity::velocity_set_continuity_w_rhou</a> (vdf)</td></tr>
<tr class="separator:aa9cf51ff27a11537d3193744db53e552"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52855a1dd57d12f666c77a0bf8572ddf"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#a52855a1dd57d12f666c77a0bf8572ddf">vdf_velocity::velocity_predict_density</a> (vdf)</td></tr>
<tr class="separator:a52855a1dd57d12f666c77a0bf8572ddf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe9e3f6da2492fa4696c3b5b20662c48"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#afe9e3f6da2492fa4696c3b5b20662c48">vdf_velocity::velocity_maxdivergence</a> (max_divg, vdf)</td></tr>
<tr class="separator:afe9e3f6da2492fa4696c3b5b20662c48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8891011fb60ebc28b81e7de4511ee782"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#a8891011fb60ebc28b81e7de4511ee782">vdf_velocity::velocity_compute_divergence</a> (vdf, rhoU, rhoV, rhoW)</td></tr>
<tr class="separator:a8891011fb60ebc28b81e7de4511ee782"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e464dc6ea74b126158537628dbcaf97"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#a5e464dc6ea74b126158537628dbcaf97">vdf_velocity::velocity_apply_pressure</a> (vdf)</td></tr>
<tr class="separator:a5e464dc6ea74b126158537628dbcaf97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae86b253c45daecb7da33bf9238fd751e"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#ae86b253c45daecb7da33bf9238fd751e">vdf_velocity::velocity_gfm_apply_pressure</a> (vdf)</td></tr>
<tr class="separator:ae86b253c45daecb7da33bf9238fd751e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80b42e9d29d0008818b307eb419b2afc"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#a80b42e9d29d0008818b307eb419b2afc">vdf_velocity::rho_multiply</a> (vdf, SKIP_RHO_FA, BC_RHO, UPDATE_GHOST)</td></tr>
<tr class="separator:a80b42e9d29d0008818b307eb419b2afc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9aba23c99cb230d407205a8162d9150"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#ab9aba23c99cb230d407205a8162d9150">vdf_velocity::rho_divide</a> (vdf, SKIP_RHO_FA, BC_RHO, UPDATE_GHOST)</td></tr>
<tr class="separator:ab9aba23c99cb230d407205a8162d9150"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a479dac265f7fbeafdff1ad7302948ccb"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#a479dac265f7fbeafdff1ad7302948ccb">vdf_velocity::update_rhomid_fa</a> (vdf)</td></tr>
<tr class="separator:a479dac265f7fbeafdff1ad7302948ccb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82bcb04b0cb04c98f1286a505521b2d6"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vdf__velocity_8f90.html#a82bcb04b0cb04c98f1286a505521b2d6">do_standard</a> ()</td></tr>
<tr class="separator:a82bcb04b0cb04c98f1286a505521b2d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7128053ac54828554b51614424768e49"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vdf__velocity_8f90.html#a7128053ac54828554b51614424768e49">do_hybrid</a> ()</td></tr>
<tr class="separator:a7128053ac54828554b51614424768e49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a380f34b78d3f4d5d1270839716c8ec72"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#a380f34b78d3f4d5d1270839716c8ec72">vdf_velocity::rhou_synchronize</a> (vdf)</td></tr>
<tr class="separator:a380f34b78d3f4d5d1270839716c8ec72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2259029b38734504b0a2b3f4b2c917d"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#ad2259029b38734504b0a2b3f4b2c917d">vdf_velocity::rhomid_update</a> (vdf)</td></tr>
<tr class="separator:ad2259029b38734504b0a2b3f4b2c917d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab53484d63e7e42196a7873d72816af2b"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#ab53484d63e7e42196a7873d72816af2b">vdf_velocity::velocity_mid_bc</a> (vdf)</td></tr>
<tr class="separator:ab53484d63e7e42196a7873d72816af2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7425bb642b4c194f19b6753d5658731c"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#a7425bb642b4c194f19b6753d5658731c">vdf_velocity::update_boundary_rhomid</a> (vdf)</td></tr>
<tr class="separator:a7425bb642b4c194f19b6753d5658731c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f8b508304e737c4c8ea565237bdf491"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#a8f8b508304e737c4c8ea565237bdf491">vdf_velocity::update_boundary_rho_from_field</a> (vdf)</td></tr>
<tr class="separator:a8f8b508304e737c4c8ea565237bdf491"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f1e7460eb47e34d1c7dd34cc7cabbc5"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#a2f1e7460eb47e34d1c7dd34cc7cabbc5">vdf_velocity::update_boundary_rhomid_neumann</a> (vdf, SKIP_RHO_FA)</td></tr>
<tr class="separator:a2f1e7460eb47e34d1c7dd34cc7cabbc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2bfc7163c10685e17a7a650adba39c9"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#aa2bfc7163c10685e17a7a650adba39c9">vdf_velocity::save_boundary_rho</a> (sd)</td></tr>
<tr class="separator:aa2bfc7163c10685e17a7a650adba39c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add967db530f4b22e19d393f9d955f88d"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#add967db530f4b22e19d393f9d955f88d">vdf_velocity::enforce_bc_face_u</a> (vdf)</td></tr>
<tr class="separator:add967db530f4b22e19d393f9d955f88d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7227e0efbc92a81abf79dd93a85aadc1"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#a7227e0efbc92a81abf79dd93a85aadc1">vdf_velocity::set_boundary_rho_to_scalar</a> (vdf, TO_DUMMY)</td></tr>
<tr class="separator:a7227e0efbc92a81abf79dd93a85aadc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe9c61d7f43296fa2b95357dc88c17e7"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#abe9c61d7f43296fa2b95357dc88c17e7">vdf_velocity::set_boundary_rho_to_vdf_part</a> (part, vdf)</td></tr>
<tr class="separator:abe9c61d7f43296fa2b95357dc88c17e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f3bfb924f9cea923310673015932c9c"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#a1f3bfb924f9cea923310673015932c9c">vdf_velocity::mask_solid_velocity_residuals</a> (vdf)</td></tr>
<tr class="separator:a1f3bfb924f9cea923310673015932c9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a108824541079d6139ee862ec9c8fd410"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#a108824541079d6139ee862ec9c8fd410">vdf_velocity::visc_interpolate</a> (vdf)</td></tr>
<tr class="separator:a108824541079d6139ee862ec9c8fd410"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31901b096a4d55d0b29b6d51df98a072"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#a31901b096a4d55d0b29b6d51df98a072">vdf_velocity::set_rhou_fv</a> (rhoU_FV, rhoV_FV, rhoW_FV, rhoU, rhoV, rhoW, vdf)</td></tr>
<tr class="separator:a31901b096a4d55d0b29b6d51df98a072"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e6edc3901e80ee970c31e865723eae0"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#a5e6edc3901e80ee970c31e865723eae0">vdf_velocity::set_rhou_fv_alt</a> (rhoU_FV, rhoV_FV, rhoW_FV, vdf)</td></tr>
<tr class="separator:a5e6edc3901e80ee970c31e865723eae0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a335e3ba84b3c0ac1e7b0f80201e5dd03"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#a335e3ba84b3c0ac1e7b0f80201e5dd03">vdf_velocity::unset_rhou_fv</a> (rhoU_FV, rhoV_FV, rhoW_FV, vdf)</td></tr>
<tr class="separator:a335e3ba84b3c0ac1e7b0f80201e5dd03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a148771821787c5842cac0cea344aadc6"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#a148771821787c5842cac0cea344aadc6">vdf_velocity::vdf_check_divgs</a> (first_vdf, header)</td></tr>
<tr class="separator:a148771821787c5842cac0cea344aadc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:abf9a02417c854d9f131df20f18e6d5b4"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structvdf__defs_1_1vdf__part__t.html">vdf_part_t</a>), pointer, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__velocity.html#abf9a02417c854d9f131df20f18e6d5b4">vdf_velocity::pp</a> =&gt; null()</td></tr>
<tr class="separator:abf9a02417c854d9f131df20f18e6d5b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a7128053ac54828554b51614424768e49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7128053ac54828554b51614424768e49">&#9670;&nbsp;</a></span>do_hybrid()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine update_rhomid_fa::do_hybrid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelink__metric__conv__simple.html#a57325473b0387a493b72d400d589e684">link_metric_conv_simple::met_c</a>, <a class="el" href="namespacelink__metric__conv__simple.html#a0fbcf58828d3d76f292c2630f2e856e3">link_metric_conv_simple::st1r</a>, and <a class="el" href="namespacelink__metric__conv__simple.html#ab5e7608eac8ad70b696f9d6fb4f1515f">link_metric_conv_simple::st2r</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="vdf__velocity_8f90_a7128053ac54828554b51614424768e49_icgraph.png" border="0" usemap="#vdf__velocity_8f90_a7128053ac54828554b51614424768e49_icgraph" alt=""/></div>
<map name="vdf__velocity_8f90_a7128053ac54828554b51614424768e49_icgraph" id="vdf__velocity_8f90_a7128053ac54828554b51614424768e49_icgraph">
<area shape="rect" id="node2" href="namespacevdf__velocity.html#a479dac265f7fbeafdff1ad7302948ccb" title="vdf_velocity::update\l_rhomid_fa" alt="" coords="132,522,271,564"/>
<area shape="rect" id="node3" href="arts__cf__md__func_8f90.html#a519da8c038371a9de9aa1ca059328501" title="do_internal" alt="" coords="370,303,455,330"/>
<area shape="rect" id="node4" href="namespacecfd__bd2__solver.html#ad2204391eab9cf3f218f6c30b82ebc81" title="cfd_bd2_solver::cfd\l_bd2_velocity_step" alt="" coords="584,522,720,564"/>
<area shape="rect" id="node5" href="namespacevdf__extend__flow.html#a7b99608c0f5998b9b39dcf9f589bce43" title="vdf_extend_flow::extend_flow" alt="" coords="555,354,749,380"/>
<area shape="rect" id="node10" href="namespacevdf__extend__flow.html#aaa55392f4936d6ae8b41c84044ef4f93" title="vdf_extend_flow::extend\l_flow_simple" alt="" coords="331,405,495,446"/>
<area shape="rect" id="node11" href="namespacevdf__velocity.html#a96fa490f8e299baa61fd416d1b383f68" title="vdf_velocity::velocity_step" alt="" coords="797,471,975,498"/>
<area shape="rect" id="node12" href="namespacevdf__velocity.html#a80b42e9d29d0008818b307eb419b2afc" title="vdf_velocity::rho_multiply" alt="" coords="567,588,737,615"/>
<area shape="rect" id="node30" href="namespacevdf__velocity.html#ab9aba23c99cb230d407205a8162d9150" title="vdf_velocity::rho_divide" alt="" coords="573,719,731,746"/>
<area shape="rect" id="node37" href="namespacevdf__velocity.html#ad2259029b38734504b0a2b3f4b2c917d" title="vdf_velocity::rhomid\l_update" alt="" coords="817,1017,955,1058"/>
<area shape="rect" id="node39" href="namespacevdf__velocity.html#a2f1e7460eb47e34d1c7dd34cc7cabbc5" title="vdf_velocity::update\l_boundary_rhomid_neumann" alt="" coords="319,712,507,753"/>
<area shape="rect" id="node6" href="namespacearts__cf__simulation.html#a9b9ee78716a9bfa679a63d740967149c" title="arts_cf_simulation\l::recompute_metric" alt="" coords="819,80,953,121"/>
<area shape="rect" id="node7" href="namespacearts__cf__simulation.html#a0a1d10b650d0c7044fe719f31b619bb4" title="Pre&#45;step 1 &#45; physical properties. " alt="" coords="1042,36,1170,77"/>
<area shape="rect" id="node8" href="arts__cf_2arts__cf_8f90.html#ae28d576a7e640ac338dc0cfe39b4a2e3" title="simulation_run" alt="" coords="1471,106,1577,132"/>
<area shape="rect" id="node9" href="namespacearts__wc__simulation.html#a7e9250a92667a7d87165db98cf98c41f" title="arts_wc_simulation\l::arts_wc_prestep1" alt="" coords="1263,36,1397,77"/>
<area shape="rect" id="node13" href="namespaceale__func.html#ad40a2a80dc02d06ae68b0a3be179036f" title="ale_func::ale_init\l_velocity_field" alt="" coords="826,274,946,316"/>
<area shape="rect" id="node20" href="namespacecfd__bd2__solver.html#a83f39daa7186c31712649453de1365d9" title="cfd_bd2_solver::cfd\l_bd2_density_step" alt="" coords="818,653,954,694"/>
<area shape="rect" id="node21" href="namespacecfd__bd2__solver.html#aa382217a183e3c5e2fda95f7f777cd16" title="cfd_bd2_solver::cfd\l_bd2_density_step_simple" alt="" coords="798,340,974,381"/>
<area shape="rect" id="node22" href="namespacecfd__cn__solver.html#a18f00b8cd645628a55f1db3e18371a61" title="cfd_cn_solver::cfd\l_cn_density_step" alt="" coords="821,588,951,629"/>
<area shape="rect" id="node23" href="namespacecfd__cn__solver.html#a08af3a96aa3dcfc0ca65579b915e59da" title="cfd_cn_solver::cfd\l_cn_density_step_simple" alt="" coords="801,405,971,446"/>
<area shape="rect" id="node24" href="namespacecfd__filter.html#a6496b57262fe2a17dbc1846af7984a90" title="cfd_filter::cfd_filter_vars" alt="" coords="805,191,967,218"/>
<area shape="rect" id="node29" href="namespacevdf__velocity.html#a155a5d63d9667ee71c5a700bec806274" title="vdf_velocity::velocity\l_field_init" alt="" coords="813,522,959,564"/>
<area shape="rect" id="node14" href="namespaceale__m.html#a83958d8598eeb0e5e1758e191d29af90" title="ale_m::ale_init" alt="" coords="1053,422,1159,448"/>
<area shape="rect" id="node17" href="namespaceale__m.html#af10ad0578f0db17e295c5e20ea1eb771" title="ale_m::ale_md_init\l_step2" alt="" coords="1041,284,1171,325"/>
<area shape="rect" id="node15" href="namespacearts__cf__simulation.html#af39829beac049c1764a4fc8b688ff8b0" title="Initialization routine 1. " alt="" coords="1263,480,1397,521"/>
<area shape="rect" id="node16" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="1260,414,1400,456"/>
<area shape="rect" id="node18" href="namespacearts__cf__md__simulation.html#a63472494eee9118b0af0495f6e49ded1" title="arts_cf_md_simulation\l::arts_cf_md_init_step1" alt="" coords="1251,349,1409,390"/>
<area shape="rect" id="node19" href="namespacearts__md__simulation.html#a3d6fef8fb1ad778ddb9a69e21c65c25e" title="arts_md_simulation\l::arts_md_init_step1" alt="" coords="1260,284,1400,325"/>
<area shape="rect" id="node25" href="namespacecfd__func.html#a5f6b1e1887efd596adf995a360f98dc5" title="cfd_func::cfd_poststep1" alt="" coords="1025,183,1187,210"/>
<area shape="rect" id="node26" href="namespacearts__cf__simulation.html#abdb8027338aa355baf9c6d9f73c97032" title="Post&#45;step. " alt="" coords="1266,218,1394,260"/>
<area shape="rect" id="node27" href="namespacenga__cf__cold__func.html#ade35a0ce7fb88c88a71e2f0e786e872d" title="nga_cf_cold_func::cf\l_cold_poststep" alt="" coords="1259,101,1401,142"/>
<area shape="rect" id="node28" href="nga__cf__cold__func__exp_8f90.html#a20ec1031c642ee27b3a8c8bed1ff948b" title="recompute_metric" alt="" coords="1267,167,1393,194"/>
<area shape="rect" id="node31" href="arts__wc__simulation_8f90.html#aa22ac78735bc04f8168b732c07cd36c9" title="wc_post_iter" alt="" coords="838,900,934,927"/>
<area shape="rect" id="node33" href="namespacevdf__disp__ph__solver__m.html#affe232334a2ceca0d1f3893a766d0f49" title="vdf_disp_ph_solver\l_m::velocity_pressure\l_colloc" alt="" coords="1031,852,1181,908"/>
<area shape="rect" id="node35" href="namespacevdf__velocity.html#a88d3d0cf4741faa06f5e5610df523994" title="vdf_velocity::velocity\l_pressure" alt="" coords="813,784,959,825"/>
<area shape="rect" id="node36" href="namespacevdf__velocity__md.html#a16ccc0ee9f5454f1d0a9e0218ff7fca6" title="vdf_velocity_md::velocity\l_pressure_md" alt="" coords="801,718,971,760"/>
<area shape="rect" id="node32" href="namespacearts__wc__simulation.html#a489a2e5f789034c0984e626dcc35fd1b" title="arts_wc_simulation\l::arts_wc_advance_iter" alt="" coords="1027,942,1185,984"/>
<area shape="rect" id="node34" href="namespacenga__x__func.html#a94f37c1a9e0acaabfde04ad9a4837512" title="nga_x_func::x_advance_iter" alt="" coords="1237,946,1423,972"/>
<area shape="rect" id="node38" href="namespacevdf__disp__ph__solver__m.html#a0e263f5c4eceb8b0be37057f4991e295" title="vdf_disp_ph_solver\l_m::velocity_step_colloc" alt="" coords="1023,1008,1189,1049"/>
<area shape="rect" id="node40" href="namespacearts__cf__md__func.html#adec3e88f3853a6ea87281e05806c70f5" title="arts_cf_md_func::arts\l_cf_md_boundary_ghost" alt="" coords="570,1388,734,1429"/>
<area shape="rect" id="node42" href="namespacearts__md__func.html#a221a8426d0d9cefe3134ef2a4e347e11" title="arts_md_func::md_cn\l_update_rhomid" alt="" coords="578,1114,726,1156"/>
<area shape="rect" id="node46" href="namespacecfd__rk__solver.html#acd9d493463c1862d76a6a718bec29518" title="cfd_rk_solver::cfd\l_rk_update_rhomid" alt="" coords="586,1286,718,1328"/>
<area shape="rect" id="node49" href="namespacevdf__velocity.html#a7425bb642b4c194f19b6753d5658731c" title="vdf_velocity::update\l_boundary_rhomid" alt="" coords="583,816,721,857"/>
<area shape="rect" id="node41" href="namespacearts__cf__md__simulation.html#a012117f92894c46ff01baca9a17d46b9" title="arts_cf_md_simulation\l::arts_cf_md_prestep2" alt="" coords="809,1425,963,1466"/>
<area shape="rect" id="node43" href="namespacearts__md__simulation.html#a07a348b3d2bce7784d60da5fc200367e" title="arts_md_simulation\l::arts_md_init_step2" alt="" coords="816,1148,956,1189"/>
<area shape="rect" id="node44" href="namespacearts__md__simulation.html#a54c9be9087aaa530302677de8891f76e" title="arts_md_simulation\l::arts_md_prestep1" alt="" coords="819,1213,953,1254"/>
<area shape="rect" id="node45" href="namespacearts__md__simulation.html#a87ef31fb4872e501ceaddf88ff27681b" title="arts_md_simulation\l::arts_md_advance_iter" alt="" coords="807,1082,965,1124"/>
<area shape="rect" id="node47" href="namespacecfd__hybrid__rk__solver.html#a4744a273b270ca5203f9edb052e2b753" title="cfd_hybrid_rk_solver\l::cfd_hybrid_rk_update\l_rho_fa" alt="" coords="809,1279,963,1335"/>
<area shape="rect" id="node48" href="namespacecfd__rk__solver.html#a967e6de997b92a9afacccb7235165ffd" title="cfd_rk_solver::cfd\l_rk_velocity_step" alt="" coords="823,1360,949,1401"/>
<area shape="rect" id="node50" href="namespacecfd__cn__solver.html#a1bb54f33593675421c0cc99371d490c1" title="cfd_cn_solver::cfd\l_cn_velocity_step" alt="" coords="821,952,951,993"/>
</map>
</div>

</div>
</div>
<a id="a82bcb04b0cb04c98f1286a505521b2d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82bcb04b0cb04c98f1286a505521b2d6">&#9670;&nbsp;</a></span>do_standard()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine update_rhomid_fa::do_standard </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelink__metric__conv__simple.html#a57325473b0387a493b72d400d589e684">link_metric_conv_simple::met_c</a>, <a class="el" href="namespacelink__metric__conv__simple.html#a0fbcf58828d3d76f292c2630f2e856e3">link_metric_conv_simple::st1r</a>, and <a class="el" href="namespacelink__metric__conv__simple.html#ab5e7608eac8ad70b696f9d6fb4f1515f">link_metric_conv_simple::st2r</a>.</p>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="vdf__velocity_8f90_a82bcb04b0cb04c98f1286a505521b2d6_icgraph.png" border="0" usemap="#vdf__velocity_8f90_a82bcb04b0cb04c98f1286a505521b2d6_icgraph" alt=""/></div>
<map name="vdf__velocity_8f90_a82bcb04b0cb04c98f1286a505521b2d6_icgraph" id="vdf__velocity_8f90_a82bcb04b0cb04c98f1286a505521b2d6_icgraph">
<area shape="rect" id="node2" href="namespacevdf__velocity.html#a479dac265f7fbeafdff1ad7302948ccb" title="vdf_velocity::update\l_rhomid_fa" alt="" coords="147,522,285,564"/>
<area shape="rect" id="node3" href="arts__cf__md__func_8f90.html#a519da8c038371a9de9aa1ca059328501" title="do_internal" alt="" coords="385,303,470,330"/>
<area shape="rect" id="node4" href="namespacecfd__bd2__solver.html#ad2204391eab9cf3f218f6c30b82ebc81" title="cfd_bd2_solver::cfd\l_bd2_velocity_step" alt="" coords="599,522,735,564"/>
<area shape="rect" id="node5" href="namespacevdf__extend__flow.html#a7b99608c0f5998b9b39dcf9f589bce43" title="vdf_extend_flow::extend_flow" alt="" coords="569,354,764,380"/>
<area shape="rect" id="node10" href="namespacevdf__extend__flow.html#aaa55392f4936d6ae8b41c84044ef4f93" title="vdf_extend_flow::extend\l_flow_simple" alt="" coords="345,405,509,446"/>
<area shape="rect" id="node11" href="namespacevdf__velocity.html#a96fa490f8e299baa61fd416d1b383f68" title="vdf_velocity::velocity_step" alt="" coords="812,471,989,498"/>
<area shape="rect" id="node12" href="namespacevdf__velocity.html#a80b42e9d29d0008818b307eb419b2afc" title="vdf_velocity::rho_multiply" alt="" coords="581,588,752,615"/>
<area shape="rect" id="node30" href="namespacevdf__velocity.html#ab9aba23c99cb230d407205a8162d9150" title="vdf_velocity::rho_divide" alt="" coords="587,719,746,746"/>
<area shape="rect" id="node37" href="namespacevdf__velocity.html#ad2259029b38734504b0a2b3f4b2c917d" title="vdf_velocity::rhomid\l_update" alt="" coords="831,1017,970,1058"/>
<area shape="rect" id="node39" href="namespacevdf__velocity.html#a2f1e7460eb47e34d1c7dd34cc7cabbc5" title="vdf_velocity::update\l_boundary_rhomid_neumann" alt="" coords="333,712,521,753"/>
<area shape="rect" id="node6" href="namespacearts__cf__simulation.html#a9b9ee78716a9bfa679a63d740967149c" title="arts_cf_simulation\l::recompute_metric" alt="" coords="833,80,968,121"/>
<area shape="rect" id="node7" href="namespacearts__cf__simulation.html#a0a1d10b650d0c7044fe719f31b619bb4" title="Pre&#45;step 1 &#45; physical properties. " alt="" coords="1057,36,1185,77"/>
<area shape="rect" id="node8" href="arts__cf_2arts__cf_8f90.html#ae28d576a7e640ac338dc0cfe39b4a2e3" title="simulation_run" alt="" coords="1485,106,1592,132"/>
<area shape="rect" id="node9" href="namespacearts__wc__simulation.html#a7e9250a92667a7d87165db98cf98c41f" title="arts_wc_simulation\l::arts_wc_prestep1" alt="" coords="1277,36,1412,77"/>
<area shape="rect" id="node13" href="namespaceale__func.html#ad40a2a80dc02d06ae68b0a3be179036f" title="ale_func::ale_init\l_velocity_field" alt="" coords="841,274,961,316"/>
<area shape="rect" id="node20" href="namespacecfd__bd2__solver.html#a83f39daa7186c31712649453de1365d9" title="cfd_bd2_solver::cfd\l_bd2_density_step" alt="" coords="833,653,969,694"/>
<area shape="rect" id="node21" href="namespacecfd__bd2__solver.html#aa382217a183e3c5e2fda95f7f777cd16" title="cfd_bd2_solver::cfd\l_bd2_density_step_simple" alt="" coords="813,340,989,381"/>
<area shape="rect" id="node22" href="namespacecfd__cn__solver.html#a18f00b8cd645628a55f1db3e18371a61" title="cfd_cn_solver::cfd\l_cn_density_step" alt="" coords="836,588,965,629"/>
<area shape="rect" id="node23" href="namespacecfd__cn__solver.html#a08af3a96aa3dcfc0ca65579b915e59da" title="cfd_cn_solver::cfd\l_cn_density_step_simple" alt="" coords="816,405,985,446"/>
<area shape="rect" id="node24" href="namespacecfd__filter.html#a6496b57262fe2a17dbc1846af7984a90" title="cfd_filter::cfd_filter_vars" alt="" coords="819,191,982,218"/>
<area shape="rect" id="node29" href="namespacevdf__velocity.html#a155a5d63d9667ee71c5a700bec806274" title="vdf_velocity::velocity\l_field_init" alt="" coords="828,522,973,564"/>
<area shape="rect" id="node14" href="namespaceale__m.html#a83958d8598eeb0e5e1758e191d29af90" title="ale_m::ale_init" alt="" coords="1067,422,1174,448"/>
<area shape="rect" id="node17" href="namespaceale__m.html#af10ad0578f0db17e295c5e20ea1eb771" title="ale_m::ale_md_init\l_step2" alt="" coords="1055,284,1186,325"/>
<area shape="rect" id="node15" href="namespacearts__cf__simulation.html#af39829beac049c1764a4fc8b688ff8b0" title="Initialization routine 1. " alt="" coords="1278,480,1411,521"/>
<area shape="rect" id="node16" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="1275,414,1415,456"/>
<area shape="rect" id="node18" href="namespacearts__cf__md__simulation.html#a63472494eee9118b0af0495f6e49ded1" title="arts_cf_md_simulation\l::arts_cf_md_init_step1" alt="" coords="1265,349,1424,390"/>
<area shape="rect" id="node19" href="namespacearts__md__simulation.html#a3d6fef8fb1ad778ddb9a69e21c65c25e" title="arts_md_simulation\l::arts_md_init_step1" alt="" coords="1275,284,1415,325"/>
<area shape="rect" id="node25" href="namespacecfd__func.html#a5f6b1e1887efd596adf995a360f98dc5" title="cfd_func::cfd_poststep1" alt="" coords="1039,183,1202,210"/>
<area shape="rect" id="node26" href="namespacearts__cf__simulation.html#abdb8027338aa355baf9c6d9f73c97032" title="Post&#45;step. " alt="" coords="1281,218,1409,260"/>
<area shape="rect" id="node27" href="namespacenga__cf__cold__func.html#ade35a0ce7fb88c88a71e2f0e786e872d" title="nga_cf_cold_func::cf\l_cold_poststep" alt="" coords="1273,101,1416,142"/>
<area shape="rect" id="node28" href="nga__cf__cold__func__exp_8f90.html#a20ec1031c642ee27b3a8c8bed1ff948b" title="recompute_metric" alt="" coords="1281,167,1408,194"/>
<area shape="rect" id="node31" href="arts__wc__simulation_8f90.html#aa22ac78735bc04f8168b732c07cd36c9" title="wc_post_iter" alt="" coords="853,900,949,927"/>
<area shape="rect" id="node33" href="namespacevdf__disp__ph__solver__m.html#affe232334a2ceca0d1f3893a766d0f49" title="vdf_disp_ph_solver\l_m::velocity_pressure\l_colloc" alt="" coords="1045,852,1196,908"/>
<area shape="rect" id="node35" href="namespacevdf__velocity.html#a88d3d0cf4741faa06f5e5610df523994" title="vdf_velocity::velocity\l_pressure" alt="" coords="828,784,973,825"/>
<area shape="rect" id="node36" href="namespacevdf__velocity__md.html#a16ccc0ee9f5454f1d0a9e0218ff7fca6" title="vdf_velocity_md::velocity\l_pressure_md" alt="" coords="815,718,986,760"/>
<area shape="rect" id="node32" href="namespacearts__wc__simulation.html#a489a2e5f789034c0984e626dcc35fd1b" title="arts_wc_simulation\l::arts_wc_advance_iter" alt="" coords="1042,942,1199,984"/>
<area shape="rect" id="node34" href="namespacenga__x__func.html#a94f37c1a9e0acaabfde04ad9a4837512" title="nga_x_func::x_advance_iter" alt="" coords="1252,946,1437,972"/>
<area shape="rect" id="node38" href="namespacevdf__disp__ph__solver__m.html#a0e263f5c4eceb8b0be37057f4991e295" title="vdf_disp_ph_solver\l_m::velocity_step_colloc" alt="" coords="1037,1008,1204,1049"/>
<area shape="rect" id="node40" href="namespacearts__cf__md__func.html#adec3e88f3853a6ea87281e05806c70f5" title="arts_cf_md_func::arts\l_cf_md_boundary_ghost" alt="" coords="585,1388,749,1429"/>
<area shape="rect" id="node42" href="namespacearts__md__func.html#a221a8426d0d9cefe3134ef2a4e347e11" title="arts_md_func::md_cn\l_update_rhomid" alt="" coords="593,1114,741,1156"/>
<area shape="rect" id="node46" href="namespacecfd__rk__solver.html#acd9d493463c1862d76a6a718bec29518" title="cfd_rk_solver::cfd\l_rk_update_rhomid" alt="" coords="601,1286,733,1328"/>
<area shape="rect" id="node49" href="namespacevdf__velocity.html#a7425bb642b4c194f19b6753d5658731c" title="vdf_velocity::update\l_boundary_rhomid" alt="" coords="597,816,736,857"/>
<area shape="rect" id="node41" href="namespacearts__cf__md__simulation.html#a012117f92894c46ff01baca9a17d46b9" title="arts_cf_md_simulation\l::arts_cf_md_prestep2" alt="" coords="824,1425,977,1466"/>
<area shape="rect" id="node43" href="namespacearts__md__simulation.html#a07a348b3d2bce7784d60da5fc200367e" title="arts_md_simulation\l::arts_md_init_step2" alt="" coords="831,1148,971,1189"/>
<area shape="rect" id="node44" href="namespacearts__md__simulation.html#a54c9be9087aaa530302677de8891f76e" title="arts_md_simulation\l::arts_md_prestep1" alt="" coords="833,1213,968,1254"/>
<area shape="rect" id="node45" href="namespacearts__md__simulation.html#a87ef31fb4872e501ceaddf88ff27681b" title="arts_md_simulation\l::arts_md_advance_iter" alt="" coords="821,1082,980,1124"/>
<area shape="rect" id="node47" href="namespacecfd__hybrid__rk__solver.html#a4744a273b270ca5203f9edb052e2b753" title="cfd_hybrid_rk_solver\l::cfd_hybrid_rk_update\l_rho_fa" alt="" coords="823,1279,978,1335"/>
<area shape="rect" id="node48" href="namespacecfd__rk__solver.html#a967e6de997b92a9afacccb7235165ffd" title="cfd_rk_solver::cfd\l_rk_velocity_step" alt="" coords="837,1360,964,1401"/>
<area shape="rect" id="node50" href="namespacecfd__cn__solver.html#a1bb54f33593675421c0cc99371d490c1" title="cfd_cn_solver::cfd\l_cn_velocity_step" alt="" coords="836,952,965,993"/>
</map>
</div>

</div>
</div>
<a id="a9d0ebd01743cf76337e676c019574c7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d0ebd01743cf76337e676c019574c7d">&#9670;&nbsp;</a></span>get_buffers()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine velocity_step::get_buffers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacevelocity__work__data.html#ad0eafdfa8fc1b44f545547ed2302429e">velocity_work_data::fcyl</a>, <a class="el" href="namespacevelocity__work__data.html#a38a22229ee4edd758fd53f385e564561">velocity_work_data::fcylv</a>, <a class="el" href="namespacevelocity__work__data.html#a19dd2ea4cc857957a1839674dd6103c0">velocity_work_data::fx</a>, <a class="el" href="namespacevelocity__work__data.html#aa24c82b96afa0aa2dd2f0f6a06b008f8">velocity_work_data::fy</a>, <a class="el" href="namespacevelocity__work__data.html#a51aceac7410a7e91ea498b8bac6ef7de">velocity_work_data::fz</a>, <a class="el" href="namespacevelocity__work__data.html#a91e012ebc0873865174242e703746b11">velocity_work_data::resu</a>, <a class="el" href="namespacevelocity__work__data.html#a8632e657c1186a67ef76a1b0e58e2fe9">velocity_work_data::resv</a>, <a class="el" href="namespacevelocity__work__data.html#a926703de7e9979168bf4e02ef0362efe">velocity_work_data::resw</a>, <a class="el" href="namespacelink__velocity.html#a045328c403288fdcd02a52c2d9d174fe">link_velocity::rho_x</a>, <a class="el" href="namespacelink__velocity.html#a13cecbc4f7d71ecdc59a2ac37d8bad37">link_velocity::rho_y</a>, <a class="el" href="namespacelink__velocity.html#aca1831f41c9deffcc6bd5673303f961e">link_velocity::rho_z</a>, <a class="el" href="namespacevelocity__work__data.html#af65298f27f297e639de4336bc2bb9907">velocity_work_data::rhoui</a>, <a class="el" href="namespacevelocity__work__data.html#a198a72aaadbd9138dc608987bc1759c0">velocity_work_data::rhovi</a>, and <a class="el" href="namespacevelocity__work__data.html#af2a752468afd5c04add915b4dcf30a43">velocity_work_data::rhowi</a>.</p>

</div>
</div>
<a id="a260238626b0601af3c4cbab9374590b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a260238626b0601af3c4cbab9374590b2">&#9670;&nbsp;</a></span>return_buffers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine velocity_step::return_buffers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacevelocity__work__data.html#ad0eafdfa8fc1b44f545547ed2302429e">velocity_work_data::fcyl</a>, <a class="el" href="namespacevelocity__work__data.html#a38a22229ee4edd758fd53f385e564561">velocity_work_data::fcylv</a>, <a class="el" href="namespacevelocity__work__data.html#a19dd2ea4cc857957a1839674dd6103c0">velocity_work_data::fx</a>, <a class="el" href="namespacevelocity__work__data.html#aa24c82b96afa0aa2dd2f0f6a06b008f8">velocity_work_data::fy</a>, <a class="el" href="namespacevelocity__work__data.html#a51aceac7410a7e91ea498b8bac6ef7de">velocity_work_data::fz</a>, <a class="el" href="namespacevelocity__work__data.html#a91e012ebc0873865174242e703746b11">velocity_work_data::resu</a>, <a class="el" href="namespacevelocity__work__data.html#a8632e657c1186a67ef76a1b0e58e2fe9">velocity_work_data::resv</a>, <a class="el" href="namespacevelocity__work__data.html#a926703de7e9979168bf4e02ef0362efe">velocity_work_data::resw</a>, <a class="el" href="namespacevelocity__work__data.html#af65298f27f297e639de4336bc2bb9907">velocity_work_data::rhoui</a>, <a class="el" href="namespacevelocity__work__data.html#a198a72aaadbd9138dc608987bc1759c0">velocity_work_data::rhovi</a>, and <a class="el" href="namespacevelocity__work__data.html#af2a752468afd5c04add915b4dcf30a43">velocity_work_data::rhowi</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
